import axipy
from PySide2.QtGui import QIcon
from axipy import view_manager

from StyleTools.controls.pointStyleEditor.ui.docWidget import AxiDocWidget, addDoc
from StyleTools.controls.pointStyleEditor.ui.main_widget import main_Form

form_tool=None
docWidget=None
if form_tool is None:
    name = "Редактор точечных стилей"
    form_tool = main_Form(view_manager.global_parent)

if docWidget is None:
    docWidget = AxiDocWidget(form_tool.widget, "Редактор точечных стилей","Редактор точечных стилей",
                                    QIcon(), view_manager.global_parent)
    addDoc(axipy.app.mainwindow.qt_object(), docWidget)